MAXScript Language Reference > 3ds Max Objects > Node : MAXWrapper > Node Subclasses > SpacewarpObject : Node > Spacewarp - Geometric/Deformable >

# Bomb : SpacewarpObject

    Bomb - superclass: SpacewarpObject; super-superclass:node - classID: #(994866, 0)

Value > MAXWrapper > Node > SpacewarpObject > Geometric/Deformable > Bomb

Constructor

    bomb...

Properties

    <Bomb>.strength Float default: 1.0 -- animatable

The power of the bomb.

Larger values make the particles fly farther.

The closer an object is to the bomb, the greater the effect of the bomb.

    <Bomb>.spin Float default: 0.0 -- animatable

The rate at which fragments rotate, in revolutions per second.

    <Bomb>.falloff Float default: 100.0 -- animatable

The distance from the bomb, in world units, of the effect of the bomb.

Fragments past this distance are not affected by the Strength and Spin settings, but are affected by the Gravity setting.

    <Bomb>.fallOffEnable Boolean default: false

Turn on to use the Falloff setting.

The falloff range appears as a yellow, tri-hooped sphere.

    <Bomb>.minFragmentSize Integer default: 1

The minimum number of faces per fragment to be randomly generated by the "explosion".

    <Bomb>.maxFragmentSize Integer default: 1

The maximum number of faces per fragment to be randomly generated by the "explosion".

    <Bomb>.Gravity Float default: 1.0 -- animatable

The acceleration due to gravity.

Note that gravity is always in the direction of the world Z axis.

You can have negative gravity.

    <Bomb>.chaos Float default: 0.0 -- animatable

Adds random variation to the explosion to make it less uniform.

A setting of 0.0 is totally uniform; 1.0 is a realistic setting.

A value greater than 1.0 makes the explosion extra chaotic.

    <Bomb>.detonation Time default: 5f

The frame at which the bomb goes off.

Bound objects are unaffected before this time.

    <Bomb>.seed Integer default: 0

Change to alter randomly generated numbers in the bomb.

You can achieve a different bomb effect by changing Seed while maintaining the other settings.

Associated Methods

    bindSpaceWarp<node> <bomb_node>

Associated Binding Modifier

    BombBinding

This modifier is automatically created by the bindSpaceWarp() method, and is not otherwise creatable by MAXScript.

There are no properties associated with this binding modifier.

#### See Also

- Node Common Properties, Operators, and Methods

- MAXWrapper Common Properties, Operators, and Methods

- Value Common Properties, Operators, and Methods